/*************************************************************************************************************************
3. Create Type 2 File
**************************************************************************************************************************/

%let basename = [FILL IN FILE PATH]/Public_Training_Materials/Lab;	

libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";
%let wpnum = wp001 ; 
%let grouplist = typ_is typ_ich atyp_is atyp_ich ; 
%let groupcount = %sysfunc(Countw(&grouplist));	
options mlogic mprint symbolgen;
ods listing close;

%macro typecreate(typelist);

proc datasets lib=work nolist nowarn; 
	delete type; 
run;

%let typecount = %sysfunc(Countw(&&&typelist));

%do a = 1 %to &typecount;
	%let curr_name = %scan(&&&typelist, &a);

	data work.type;
	format group $40. t2cohortdef $2. t2washper 8. ittdays 8. episodegaptype $1. episodegap 8. expextper 8. 
		   minepisdur 8. maxepisdur 8. mindaysupp 8. enrdaysaftepi 8. t2fupwashper 8. blackoutper 8. eventcount 8. 
		    censor_output_cat $30. censor_dth $1. censor_dpend $1. censor_qryend $1. neverexposedcohort $1. ;
	group = "&curr_name";
	t2cohortdef = ' '; /* Allowed Number of Exposure Episodes per Individual; 
	                      Valid values: '01' '02' '03' for first episode only, all episodes, or all episodes until event*/
	t2washper = . ; /* Type 2 Exposure Washout Period; Numerical; Required - enter 0 if not using */
	ittdays = . ; /* Requester-defined Exposure Episode Length; Numerical; Leave blank if creating as-treated episodes */
	episodegaptype= ' '; /* Treatment Episode Gap Type; Valid values: 'F' or 'P' for fixed or percent */
	episodegap = . ; /* Exposure Episode Gap; Numerical; Required - enter 0 if not using */
	expextper = . ; /* Exposure Episode Extension Period; Numerical; Optional */
	minepisdur = . ; /* Minimum Exposure Episode Duration; Numerical; Required - enter 0 if not using */
	maxepisdur = . ; /* Maximum Exposure Episode Duration; Numerical; Optional */
	mindaysupp = . ; /* Minimum Days Supplied; Numerical; Required - enter 0 if not using */
	t2fupwashper = . ; /* Type 2 HOI Washout Period; Numerical; Required - enter 0 if not using */
	blackoutper = . ; /* HOI Blackout Period; Numerical; Required - enter 0 if not using */
	censor_dth = ' '; /* Censor Episodes at Evidence of Death; Valid values: 'Y' or 'N'; Required*/
	censor_dpend = ' '; /* Censor Episodes at Data End Date; Valid values: 'Y' or 'N'; Required*/
	censor_qryend = ' '; /* Censor Episodes at Query End Date; Valid values: 'Y' or 'N'; Required*/
	censor_output_cat = '0-364 365-729 730-1094 1095+';
	enrdaysaftepi = .; 
	eventcount = 2; 
	neverexposedcohort= 'N';
	run;

	proc append data = work.type 
			base = work.type2 force;
	run;
%end;

data out.&wpnum._type2;
	set work.type2;
run;

%mend;

%typecreate(grouplist);
